<template>
  <div>
    <section
      class="bg-secondary overflow-hidden h-[calc(100vh)] flex items-center justify-center relative"
    >
      <video
        autoplay
        loop
        muted
        class="absolute w-auto min-w-full min-h-full max-w-none"
      >
        <source src="/minar_para_transformar_home.webm" type="video/webm" />
        Your browser does not support the video tag.
      </video>
      <div class="absolute inset-0 bg-secondary bg-opacity-[76%]"></div>

      <div
        class="relative z-0 px-10 mx-auto text-center mt-[40px] lg:px-0 lg:max-w-4xl"
      >
        <h1
          class="mb-10 text-3xl font-bold text-white uppercase lg:text-6xl bai"
          v-html="$t('home.hero.title')"
        ></h1>
        <div class="mx-auto text-lg text-muted lg:text-2xl lg:max-w-xl">
          <div v-html="$t('home.hero.text')"></div>

          <div class="flex items-center justify-center mt-12">
            <div class="grid grid-cols-3 gap-4">
              <div class="text-center text-white">
                <div class="text-lg lg:text-4xl">
                  <!-- <span class="font-semibold">+</span> -->
                  <span class="font-extrabold">150</span>
                </div>
                <span class="text-lg font-normal lg:text-2xl">PH/S</span>
              </div>

              <div class="text-center text-white">
                <div class="text-lg lg:text-4xl">
                  <!-- <span class="font-semibold">+</span> -->
                  <span class="font-extrabold">15000</span>
                </div>
                <span class="text-lg font-normal lg:text-2xl">ASICs</span>
              </div>

              <div class="text-center text-white">
                <div class="text-lg lg:text-4xl">
                  <!-- <span class="font-semibold text-primary">+</span> -->
                  <span class="font-extrabold">25</span>
                </div>
                <span class="text-lg font-normal lg:text-2xl">MW</span>
              </div>
            </div>
          </div>
        </div>
        <div
          class="flex justify-center w-full mt-16 space-x-4 space-y-0 lg:flex-row"
        >
          <div v-for="(item, index) in $t('home.hero.buttons')" :key="index">
            <nuxt-link
              :to="{ path: localePath('/'), hash: item.hash }"
              class="w-full btn btn-primary lg:w-auto"
              >{{ item.name }}</nuxt-link
            >
          </div>
        </div>
      </div>
    </section>

    <section
      id="cree"
      class="relative py-16 overflow-hidden bg-secondary lg:py-32"
    >
      <img
        src="/cree_bg_home.webp"
        class="absolute top-0 left-0 object-cover object-center w-full h-full"
        alt=""
      />
      <div class="relative px-10 mx-auto lg:px-0 lg:max-w-2xl">
        <div>
          <h3 class="section-title text-primary">
            {{ $t('home.believe.title') }}
          </h3>

          <div class="space-y-8 text-center lg:text-left">
            <p class="text-base leading-loose text-muted">
              {{ $t('home.believe.text') }}
            </p>

            <!-- <div class="grid grid-cols-4 gap-4">
              <div class="text-center text-white">
                <div class="text-lg lg:text-4xl">
                  <span class="font-semibold">+</span>
                  <span class="font-extrabold text-primary">21.67</span>
                </div>
                <span class="text-lg font-normal lg:text-2xl">PH/S</span>
              </div>

              <div class="text-center text-white">
                <div class="text-lg lg:text-4xl">
                  <span class="font-semibold">+</span>
                  <span class="font-extrabold">120</span>
                </div>
                <span class="text-lg font-normal lg:text-2xl">Miners</span>
              </div>

              <div class="text-center text-white">
                <div class="text-lg lg:text-4xl">
                  <span class="font-semibold">+</span>
                  <span class="font-extrabold">1700</span>
                </div>
                <span class="text-lg font-normal lg:text-2xl">Workers</span>
              </div>

              <div class="text-center text-white">
                <div class="text-lg lg:text-4xl">
                  <span class="font-semibold"></span>
                  <span class="font-extrabold">99.89%</span>
                </div>
                <span class="text-lg font-normal lg:text-2xl">Eficiencia</span>
              </div>
            </div> -->

            <div>
              <div
                class="flex items-center justify-center px-8 mt-16 space-y-4 md:justify-start lg:space-y-0 lg:space-x-8 lg:px-0"
              >
                <nuxt-link
                  :to="localePath($t('home.believe.button.path'))"
                  class="w-full btn btn-primary lg:w-auto"
                  >{{ $t('home.believe.button.text') }}</nuxt-link
                >
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section
      id="aprende"
      class="relative overflow-hidden bg-fixed bg-no-repeat bg-cover lg:inset-y-0"
    >
      <img
        src="/aprende_home.webp"
        class="top-0 left-0 object-cover object-center w-full h-full lg:absolute"
        alt=""
      />

      <!-- <button class="hidden lg:block absolute top-1/2 right-[25%] transform translate-x-1/2 -translate-y-1/2 group">
        <span class="flex items-center justify-center w-16 h-16">
          <span class="absolute flex w-full h-full rounded-full opacity-75 animate-ping bg-primary"></span>
          <span class="relative flex items-center justify-center w-16 h-16 transition-all duration-300 ease-in-out rounded-full bg-primary group-hover:bg-secondary">
            <svg xmlns="http://www.w3.org/2000/svg" class="w-8 h-8 -mr-1 transition-all duration-300 ease-in-out text-secondary group-hover:text-primary" fill="currentColor" viewBox="0 0 30 34">
              <path d="M15.26,3.071a2,2,0,0,1,3.48,0L32.308,27.014A2,2,0,0,1,30.568,30H3.432a2,2,0,0,1-1.74-2.986Z" transform="translate(30) rotate(90)"/>
            </svg>
          </span>
        </span>
      </button> -->

      <div class="grid gap-0 lg:p-0 grid-cosl-1 lg:grid-cols-12">
        <div
          class="p-10 lg:px-24 lg:py-52 lg:col-span-7 xl:col-span-6 glass bg-primary"
        >
          <div>
            <h3 class="section-title text-secondary">
              {{ $t('home.learn.title') }}
            </h3>

            <div class="space-y-8 text-center lg:text-left">
              <p class="text-base leading-loose text-secondary">
                {{ $t('home.learn.text') }}
              </p>

              <div
                class="flex flex-col w-full space-y-4 lg:flex-row lg:space-y-0 lg:space-x-8"
              >
                <div
                  v-for="(item, index) in $t('home.learn.buttons')"
                  :key="index"
                >
                  <nuxt-link
                    :to="localePath(item.path)"
                    class="w-full btn btn-white lg:w-auto"
                    >{{ item.text }}</nuxt-link
                  >
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section id="mina" class="relative z-10 bg-secondary lg:py-0">
      <div>
        <img
          src="/home-mina-bg.webp"
          class="hidden object-cover w-full h-screen lg:block opacity-40"
          loading="lazy"
          alt="Imagen de fondo sección de mina"
        />
      </div>

      <div
        class="w-11/12 p-10 mx-auto lg:border glass bg-secondary/80 border-primary xl:py-20 md:w-2/3 xl:w-1/2 lg:absolute lg:left-1/2 lg:top-1/2 lg:transform lg:-translate-x-1/2 lg:-translate-y-1/2 md:!px-12 xl:px-28 lg:rounded-2xl"
      >
        <h3 class="section-title text-primary">{{ $t('home.mine.title') }}</h3>

        <div class="space-y-8 text-center lg:text-left">
          <p class="text-base leading-loose text-muted">
            {{ $t('home.mine.text') }}
          </p>

          <div class="grid grid-cols-1 gap-4 lg:grid-cols-4 lg:gap-8">
            <div class="relative inline-block text-left">
              <div>
                <button
                  @click.prevent="
                    ideasBox = !ideasBox
                    serviciosBox = false
                  "
                  class="relative w-full btn btn-primary btn-selector"
                  :class="[
                    { active: ideasBox },
                    { 'rounded-b-none': ideasBox },
                  ]"
                >
                  {{ $t('home.mine.buttons[0].text') }}

                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    class="w-4 h-4 ml-3"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke="currentColor"
                    stroke-width="3"
                  >
                    <path
                      v-if="!ideasBox"
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19 9l-7 7-7-7"
                    />
                    <path
                      v-else
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M5 15l7-7 7 7"
                    />
                  </svg>
                </button>
              </div>

              <transition
                v-if="ideasBox"
                enter-active-class="transition duration-100 ease-out"
                enter-from-class="transform scale-95 opacity-0"
                enter-to-class="transform scale-100 opacity-100"
                leave-active-class="transition duration-75 ease-in"
                leave-from-class="transform scale-100 opacity-100"
                leave-to-class="transform scale-95 opacity-0"
              >
                <div
                  class="absolute right-0 z-10 w-full left-0 min-w-[145px] pt-2 overflow-hidden origin-top-right shadow-lg bg-primary rounded-b-md focus:outline-none"
                  role="menu"
                  aria-orientation="vertical"
                  aria-labelledby="menu-button"
                  tabindex="-1"
                >
                  <div class="text-center" role="none">
                    <nuxt-link
                      v-for="(item, index) in $t(
                        'home.mine.buttons[0].subitems'
                      )"
                      :key="index"
                      :to="localePath(item.path)"
                      role="menuitem"
                      tabindex="-1"
                      class="inline-block w-full px-4 py-2 text-base font-semibold hover:bg-white text-secondary"
                      >{{ item.text }}</nuxt-link
                    >
                  </div>
                </div>
              </transition>
            </div>

            <div class="relative inline-block text-left">
              <div>
                <button
                  @click.prevent="
                    serviciosBox = !serviciosBox
                    ideasBox = false
                  "
                  class="relative w-full btn btn-primary btn-selector"
                  :class="[
                    { active: serviciosBox },
                    { 'rounded-b-none': serviciosBox },
                  ]"
                >
                  {{ $t('home.mine.buttons[1].text') }}

                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    class="w-4 h-4 ml-3"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke="currentColor"
                    stroke-width="3"
                  >
                    <path
                      v-if="!serviciosBox"
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19 9l-7 7-7-7"
                    />
                    <path
                      v-else
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M5 15l7-7 7 7"
                    />
                  </svg>
                </button>
              </div>

              <transition
                v-if="serviciosBox"
                enter-active-class="transition duration-100 ease-out"
                enter-from-class="transform scale-95 opacity-0"
                enter-to-class="transform scale-100 opacity-100"
                leave-active-class="transition duration-75 ease-in"
                leave-from-class="transform scale-100 opacity-100"
                leave-to-class="transform scale-95 opacity-0"
              >
                <div
                  class="absolute right-0 left-0 z-10 w-full pt-2 overflow-hidden origin-top-right shadow-lg min-w-[145px] bg-primary rounded-b-md focus:outline-none"
                  role="menu"
                  aria-orientation="vertical"
                  aria-labelledby="menu-button"
                  tabindex="-1"
                >
                  <div class="text-center" role="none">
                    <nuxt-link
                      v-for="(item, index) in $t(
                        'home.mine.buttons[1].subitems'
                      )"
                      :key="index"
                      :to="localePath(item.path)"
                      role="menuitem"
                      tabindex="-1"
                      class="inline-block w-full px-4 py-2 text-base font-semibold hover:bg-white text-secondary"
                      >{{ item.text }}</nuxt-link
                    >
                  </div>
                </div>
              </transition>
            </div>

            <div>
              <nuxt-link
                :to="localePath($t('home.mine.buttons[2].path'))"
                class="w-full btn btn-primary"
                >{{ $t('home.mine.buttons[2].text') }}</nuxt-link
              >
            </div>
          </div>
        </div>
      </div>
    </section>

    <section
      class="relative overflow-hidden bg-fixed bg-no-repeat bg-cover lg:inset-y-0"
    >
      <img
        src="/nosotros_home.webp"
        class="top-0 left-0 object-cover object-center w-full h-full lg:absolute"
        alt=""
      />

      <!-- <div class="absolute top-1/2 left-[25%] transform -translate-x-1/2 -translate-y-1/2 group">
        <svg xmlns="http://www.w3.org/2000/svg" class="hidden lg:block lg:w-52" viewBox="0 0 202.562 222.756">
          <g transform="translate(0 0)">
            <path d="M184.554,42.507,119.285,4.823a36.018,36.018,0,0,0-36.009,0L18.007,42.507A36.024,36.024,0,0,0,0,73.693v75.369a36.009,36.009,0,0,0,18.007,31.186l65.269,37.685a36.018,36.018,0,0,0,36.009,0l65.269-37.685a36,36,0,0,0,18.007-31.186V73.693a36.011,36.011,0,0,0-18.007-31.186m-82.248,100.58H50.221l.025-28.369A52.075,52.075,0,0,1,82.423,67.581V89.42l.019-.019A28.305,28.305,0,0,1,88.6,84.741V63.412a51.654,51.654,0,0,1,11.658-1.782c.679-.031,1.365-.044,2.056-.044s1.377.012,2.056.044a51.654,51.654,0,0,1,11.658,1.782V84.741a28.306,28.306,0,0,1,6.156,4.661l.019.019V67.581a52.075,52.075,0,0,1,32.177,47.137l.019,28.369Z" transform="translate(0)" fill="#ffda00"/>
            <path d="M33.117,14.348a19.9,19.9,0,1,0,19.889,19.9,19.9,19.9,0,0,0-19.889-19.9" transform="translate(69.195 75.054)" fill="#ffda00"/>
            <path d="M80.035,15.878V37.718l-.019-.019a28.305,28.305,0,0,0-6.156-4.661V11.71A51.655,51.655,0,0,0,62.2,9.928c-.679-.031-1.365-.044-2.056-.044s-1.377.012-2.056.044A51.655,51.655,0,0,0,46.431,11.71V33.038A28.306,28.306,0,0,0,40.275,37.7l-.019.019V15.878A52.075,52.075,0,0,0,8.08,63.015L8.061,91.385H112.23l-.019-28.369A52.075,52.075,0,0,0,80.035,15.878M60.145,77.49A19.9,19.9,0,1,1,80.035,57.6,19.888,19.888,0,0,1,60.145,77.49" transform="translate(42.167 51.703)" fill="#161c21"/>
          </g>
        </svg>
      </div> -->

      <div class="grid gap-0 lg:p-0 grid-cosl-1 lg:grid-cols-12">
        <div class="hidden col-span-6 lg:block"></div>
        <div
          class="p-10 lg:px-24 lg:py-52 lg:col-span-7 xl:col-span-6 glass bg-primary"
        >
          <div>
            <h3 class="section-title text-secondary">
              {{ $t('home.us.title') }}
            </h3>

            <div class="space-y-8 text-center lg:text-left">
              <p class="text-base leading-loose text-secondary">
                {{ $t('home.us.text') }}
              </p>

              <div
                class="flex flex-col w-full space-y-4 lg:flex-row lg:space-y-0 lg:space-x-8"
              >
                <div>
                  <nuxt-link
                    :to="localePath($t('home.us.button.path'))"
                    class="w-full btn btn-white lg:w-auto"
                    >{{ $t('home.us.button.text') }}</nuxt-link
                  >
                </div>

                <!-- <div>
                  <nuxt-link to="/nosotros" class="w-full btn btn-white lg:w-auto">Staff</nuxt-link>
                </div> -->
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'IndexPage',

  data() {
    return {
      ideasBox: false,
      serviciosBox: false,
    }
  },
}
</script>
